<?php
namespace craf1Autocomplete;

class craf1Autocomplete extends \Shopware\Components\Plugin
{
	public static function getSubscribedEvents()
	{
		return [
			'Enlight_Controller_Action_PostDispatchSecure_Frontend' => 'craftyController'
		];
	}

	public function craftyController(\Enlight_Event_EventArgs $args)
	{
		$backend_countries = Shopware()->Modules()->Admin()->sGetCountryList();
		$controller = $args->get('subject');
		$view = $controller->View();
		$config = $this->container->get('shopware.plugin.config_reader')->getByPluginName($this->getName(), Shopware()->Shop());
		$config['backendCountries'] = $backend_countries;
		$view->addTemplateDir(
		__DIR__ . '/Views'
		);
		$view->assign('cc_activate_plugin', $config['activatePlugin']);
		$view->assign('cc_enabled_phone', $config['enabledPhone']);
		$view->assign('cc_enabled_email', $config['enabledEmail']);
		$view->assign('cc_access_token', $config['accessToken']);
		$view->assign('cc_ambient', $config['ambient']);
		$view->assign('cc_accent', $config['accent']);
		$view->assign('cc_hide_fields', $config['hideFields']);
		$view->assign('cc_search_place', $config['searchPlace']);
		$view->assign('cc_show_logo', $config['showLogo']);
		$view->assign('cc_default_placeholder', $config['defaultPlaceholder']);
		$view->assign('cc_country_placeholder', $config['countryPlaceholder']);
		$view->assign('cc_country_button', $config['countryButton']);
		$view->assign('cc_generic_error', $config['genericError']);
		$view->assign('cc_no_results', $config['noResults']);
		$view->assign('cc_show_label', $config['showLabel']);
		$view->assign('cc_language', $config['language']);
		$view->assign('cc_backend_countries', $config['backendCountries']);
		$view->assign('cc_phone_default_country', $config['phoneDefaultCountry']);
	}

}
